<?
if(isset($_GET['arend']) && ($_GET['arend']=='1' || $_GET['arend']=='2' || $_GET['arend']=='3' || $_GET['arend']=='4' || $_GET['arend']=='5' || $_GET['arend']=='6'))
{
$arend=$_GET['arend'];
if($arend==6)
{
$cena=880;
$timee=3600*24*10;
}
if($arend==5)
{
$cena=220;
$timee=3600*24*3;
}
elseif($arend==4)
{
$cena=100;
$timee=3600*24;
}
elseif($arend==3)
{
$cena=30;
$timee=3600*5;
}
elseif($arend==2)
{
$cena=10;
$timee=3600;
}
elseif($arend==1 && $ku['vetriak_day']<$time)
{
$cena=100000000;
$timee=3600;
$arend_day=1;
}
if(isset($arend_day))
{
if($ku['money']>=$cena)
{
if(isset($_GET['ok']))
{
mysql_query("UPDATE `kolhoz_user` SET `vetriak_time` = '".($ku['vetriak_time']>$time?"".($ku['vetriak_time']+$timee)."":"".($time+$timee)."")."', `vetriak_day` = '".($time+(12*3600))."', `money` = '".($ku['money']-$cena)."' WHERE `id` = '$ku[id]'");
mysql_query("UPDATE `kolhoz_user` SET `vetruk` = '".($ku['vetruk']+1)."' WHERE `id` = '$ku[id]'");
$ku=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_user` WHERE `id` = '$ku[id]'"));
echo "<div class='feedback'><ul class='feedbackPanel'><li class='feedbackPanelINFO'><span class='feedbackPanelINFO'>Арендовано на ".time_left($ku['vetriak_time']-$time)."</span></li></ul></div>";
}
else
{
echo podtv("?shop=vetriak&arend=".intval($_GET['arend'])."&ok","?shop=vetriak");
include_once 'inc/foot.php';
}
}
else
{
$_SESSION['no_money']=$cena-$ku['money'];
header("Location:?shop=vetriak");
}
}
elseif($arend==2 || $arend==3 || $arend==4 || $arend==5 || $arend==6)
{
if($ku['rubies']>=$cena)
{
if(isset($_GET['ok']))
{
mysql_query("UPDATE `kolhoz_user` SET `vetriak_time` = '".($ku['vetriak_time']>$time?"".($ku['vetriak_time']+$timee)."":"".($time+$timee)."")."', `rubies` = '".($ku['rubies']-$cena)."' WHERE `id` = '$ku[id]'");
mysql_query("UPDATE `kolhoz_user` SET `vetruk` = '".($ku['vetruk']+floor($timee/3600))."' WHERE `id` = '$ku[id]'");
$ku=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_user` WHERE `id` = '$ku[id]'"));
echo "<div class='feedback'><ul class='feedbackPanel'><li class='feedbackPanelINFO'><span class='feedbackPanelINFO'>Арендовано на ".time_left($ku['vetriak_time']-$time)."</span></li></ul></div>";
}
else
{
echo podtv("?shop=vetriak&arend=".intval($_GET['arend'])."&ok","?shop=vetriak");
include_once 'inc/foot.php';
}
}
else
{
$_SESSION['no_rubies']=$cena-$ku['rubies'];
header("Location:?shop=vetriak");
}
}
}
echo "<div class='event'><h1>Ветряк</h1></div>
<div class='content'>
<div class='block'>
<div>
<img width='48' height='48' src='images/vetriak.png' alt='' class='portrait'>
<span class='epic'>Ветряк</span>
- ветрогенератор с большой ометаемой площадью. Ускоряет все процессы на ферме. Сдается только в аренду.
</div>
<div style='clear:both;'></div>
<h3>Эффект</h3>
<div class='title'>
Повышает любой получаемый опыт на 200%.
</div>
<h3>Аренда</h3>
<ul>
<li>
<img width='16' height='16' src='images/icons/tick.png' alt='o'>
<a href='?shop=vetriak&arend=6'>Арендовать</a> на 10 суток
<span class='minor'>(цена <img width='16' height='16'
src='images/icons/ruby.png' alt='o'> 880 рубинов)</span>
</li>
<li>
<img width='16' height='16' src='images/icons/tick.png' alt='o'>
<a href='?shop=vetriak&arend=5'>Арендовать</a> на 3-е суток
<span class='minor'>(цена <img width='16' height='16'
src='images/icons/ruby.png' alt='o'> 220 рубинов)</span>
</li>
<li>
<img width='16' height='16' src='images/icons/tick.png' alt='o'>
<a href='?shop=vetriak&arend=4'>Арендовать</a> на сутки
<span class='minor'>(цена <img width='16' height='16'
src='images/icons/ruby.png' alt='o'> 100 рубинов)</span>
</li>
<li>
<img width='16' height='16' src='images/icons/tick.png' alt='o'>
<a href='?shop=vetriak&arend=3'>Арендовать</a> на 5 часов
<span class='minor'>(цена <img width='16' height='16'
src='images/icons/ruby.png' alt='o'> 30 рубина)</span>
</li>
<li>
<img width='16' height='16' src='images/icons/tick.png' alt='o'>
<a href='?shop=vetriak&arend=2'>Арендовать</a> на 1 час
<span class='minor'>(цена <img width='16' height='16'
src='images/icons/ruby.png' alt='o'> 10 рубин)</span>
</li>
<li>
<img width='16' height='16' src='images/icons/tick.png' alt='o'>";
if($ku['vetriak_day']<$time)echo "<a href='?shop=vetriak&arend=1'>";
echo "Арендовать";
if($ku['vetriak_day']<$time)echo "</a>";
echo " на 1 час
<span class='minor'>(цена <img width='16' height='16'
src='images/icons/money.png' alt='o'> 100000000 монет)</span>
</li>
</ul>
<div class='pt title'>
<img width='16' height='16' src='images/icons/advice.png' alt='o'>
Рекомендуется использовать совместно с <a class='epic' href='?shop=hydropinics'>Гидропоникой</a>.
</div>
<div class='pt'>
<img width='16' height='16' src='images/icons/advice.png' alt='o'>
Арендовать Ветряк за монеты можно только через
12 часов после окончания предыдущего срока
аренды.";
if($ku['vetriak_day']>$time)echo "До следующей аренды за монеты осталось: <span
class='title'>".time_left($ku['vetriak_day']-$time)."</span>.";
echo "</div><div class='pt'>
<img width='16' height='16' src='images/icons/cart.png' alt='o'>
<a href='?shop'>В магазин</a>
</div>
</div>
";
include_once 'inc/foot.php';
?>`kolhoz_user`"), 0)."</span></div>";
echo "</div></div></div></div></div></div></div></div></div></div></div></div></div></div></div>";
echo "<div></div><div style='text-align:center;' class='pt small minor'> <a href='?rules'>Правила игры</a><div></div></div></br>";
include_once 'inc/auth.php';
exit;
?>